Bug 13819 - Add biblioitems to available tables in ISSUESLIP and ISSUEQSLIP
Summary: Add biblioitems to available tables in ISSUESLIP and ISSUEQSLIP
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Barton Chittenden
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-10 21:02 UTC by Barton Chittenden
Modified: 2016-12-05 21:23 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Add biblioitems to ISSUESLIP and ISSUEQSLIP in C4::Members::IssueSlip() (2.62 KB, patch)
2015-03-11 23:20 UTC, Barton Chittenden
Details | Diff | Splinter Review
marc record containing test data. (891 bytes, text/plain)
2015-03-16 13:41 UTC, Barton Chittenden
Details
Add biblioitems to ISSUESLIP and ISSUEQSLIP in C4::Members::IssueSlip() (2.73 KB, patch)
2015-04-11 10:41 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Add biblioitems to ISSUESLIP and ISSUEQSLIP in C4::Members::IssueSlip() (2.92 KB, patch)
2015-04-17 11:23 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13819 [QA Followup] (622 bytes, patch)
2015-04-17 11:23 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2015-03-10 21:02:10 UTC
Patron has requested publisher date and location information on call slips; these are only available in biblioitems, which is not currently in the tables available .
Comment 1 Barton Chittenden 2015-03-11 23:20:17 UTC Comment hidden (obsolete)
Comment 2 Barton Chittenden 2015-03-16 13:41:38 UTC
Created attachment 36927 [details]
marc record containing test data.

Attached bib (Programming Perl, 4th edition) has an ISBN of 9780596004927
Comment 3 Barton Chittenden 2015-03-16 13:58:28 UTC
Test procedure:

[Setup]
1. Import the attached MARC file, and create an item. Make note of the barcode.
2. Set up ISSUESLIP [ .../cgi-bin/koha/tools/letter.pl?op=add_form&module=circulation&code=ISSUESLIP ] using the following parameters:

                module: circulation
                  code: ISSUESLIP
            branchcode: 
                  name: Issue Slip
               is_html: 1
                 title: Issue Slip
               content: 

<h3><<branches.branchname>></h3>
Checked out to <<borrowers.title>> <<borrowers.firstname>> <<borrowers.initials>> <<borrowers.surname>> <br />
(<<borrowers.cardnumber>>) <br />

<<today>><br />

<h4>Checked Out</h4>
<checkedout>
<p>
<<biblio.title>> <br />
Barcode: <<items.barcode>><br />
Date due: <<issues.date_due>><br />
ISBN: <<biblioitems.isbn>><br />
</p>
</checkedout>

<h4>Overdues</h4>
<overdue>
<p>
<<biblio.title>> <br />
Barcode: <<items.barcode>><br />
Date due: <<issues.date_due>><br />
ISBN: <<biblioitems.isbn>><br />
</p>
</overdue>

<hr>

<h4 style="text-align: center; font-style:italic;">News</h4>
<news>
<div class="newsitem">
<h5 style="margin-bottom: 1px; margin-top: 1px"><b><<opac_news.title>></b></h5>
<p style="margin-bottom: 1px; margin-top: 1px"><<opac_news.new>></p>
<p class="newsfooter" style="font-size: 8pt; font-style:italic; margin-bottom: 1px; margin-top: 1px">Posted on <<opac_news.timestamp>></p>
<hr />
</div>
</news>
message_transport_type: email

[Test]

1. Check out the item to a test patron.
2. On the circulation check-out screen, choose print->print slip
Comment 4 Barton Chittenden 2015-03-16 14:35:12 UTC
Test procedure {submitted the previous message accidentally -- this is the full procedure}.

[Setup]
1. Import the attached MARC file, and create an item. Make note of the
barcode.
2. Set up ISSUESLIP [
.../cgi-bin/koha/tools/letter.
pl?op=add_form&module=circulation&code=ISSUESLIP ] using the following
parameters:

                module: circulation
                  code: ISSUESLIP
            branchcode: 
                  name: Issue Slip
               is_html: 1
                 title: Issue Slip
               content: 

<h3><<branches.branchname>></h3>
Checked out to <<borrowers.title>> <<borrowers.firstname>>
<<borrowers.initials>> <<borrowers.surname>> <br />
(<<borrowers.cardnumber>>) <br />

<<today>><br />

<h4>Checked Out</h4>
<checkedout>
<p>
<<biblio.title>> <br />
Barcode: <<items.barcode>><br />
Date due: <<issues.date_due>><br />
ISBN: <<biblioitems.isbn>><br />
</p>
</checkedout>

<h4>Overdues</h4>
<overdue>
<p>
<<biblio.title>> <br />
Barcode: <<items.barcode>><br />
Date due: <<issues.date_due>><br />
ISBN: <<biblioitems.isbn>><br />
</p>
</overdue>

<hr>

<h4 style="text-align: center; font-style:italic;">News</h4>
<news>
<div class="newsitem">
<h5 style="margin-bottom: 1px; margin-top:
1px"><b><<opac_news.title>></b></h5>
<p style="margin-bottom: 1px; margin-top: 1px"><<opac_news.new>></p>
<p class="newsfooter" style="font-size: 8pt; font-style:italic;
margin-bottom: 1px; margin-top: 1px">Posted on <<opac_news.timestamp>></p>
<hr />
</div>
</news>
message_transport_type: email

Set up ISSUEQSLIP the same way -- Quick slips only have a <checkedout> section, so <overdue> and <news> can be omitted.

[Test]

1. Check out the item to a test patron.
2. On the circulation check-out screen, choose print->print slip

3. The resulting print slip should contain the line

   ISBN: 9780596004927

In the 'Checkout' section.

4.  On the circulation check-out screen, choose print->print quick slip. The ISBN should print here as well.

5. Check the item back in. Check it out, but change the due date to yesterday's date.

6. Print the 'print slip' again. Now the line

   ISBN: 9780596004927

Will show in the 'Overdues' section.
Comment 5 Frédéric Demians 2015-04-11 10:41:34 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2015-04-17 11:23:51 UTC
Created attachment 38035 [details] [review]
[PASSED QA] Add biblioitems to ISSUESLIP and ISSUEQSLIP in C4::Members::IssueSlip()

Document all expansions within  C4::Members::IssueSlip()

http://bugs.koha-community.org/show_bug.cgi?id=13819

Signed-off-by: Frederic Demians <f.demians@tamil.fr>
  - Works as described. ISBN appears on ISSUESLIP & ISSUEQSLIP.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
  - Not all fields for biblioitems are available, but neither
    are they all available for other tables. Noted in POD.
Comment 7 Kyle M Hall 2015-04-17 11:23:58 UTC
Created attachment 38036 [details] [review]
Bug 13819 [QA Followup]
Comment 8 Tomás Cohen Arazi 2015-04-22 16:31:35 UTC
Patches pushed to master.

Thanks Barton!